# This file created by conda-build 3.0.30
# meta.yaml template originally from:
# /home/nwani/concourse_worker/containers/00001pr7l1f/tmp/build/80754af9/rsync-recipes/glue-core-0.12.3-ipython5.4python2.7-on-nwani-linux-32, last modified Sun Nov 26 23:05:51 2017
# ------------------------------------------------

package:
    name: glue-core
    version: 0.12.3
source:
    fn: glue-core-0.12.3.tar.gz
    sha256: b5488d3d22bce0de8930d3b974667c8be0955ec15781c95158f0b4afa9d2f7ba
    url: https://pypi.io/packages/source/g/glue-core/glue-core-0.12.3.tar.gz
build:
    entry_points:
        - glue = glue.main:main
        - glue-config = glue.config_gen:main
        - glue-deps = glue._deps:main
    number: '0'
    osx_is_app: 'True'
    script: python setup.py install --single-version-externally-managed --record record.txt
    string: py27h32e67ce_0
requirements:
    build:
        - ca-certificates 2017.08.26 h1d4fec5_0
        - certifi 2017.11.5 py27ha9b69e6_0
        - dbus 1.10.22 ha863c99_0
        - expat 2.2.5 h8d48cb0_0
        - fontconfig 2.12.4 hcb742b8_1
        - freetype 2.8 hb4d7b56_1
        - glib 2.53.6 hd466c72_1
        - gst-plugins-base 1.12.2 h3b3eec3_0
        - gstreamer 1.12.2 ha52c2f3_0
        - icu 58.2 he175447_1
        - jpeg 9b h29c5dd3_2
        - libedit 3.1 h9ac1fc1_0
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h7cc24e2_2
        - libpng 1.6.32 h55ee776_4
        - libstdcxx-ng 7.2.0 h7a57d05_2
        - libxcb 1.12 h2ed087e_4
        - libxml2 2.9.4 h078cfa5_6
        - ncurses 6.0 h8a800b7_2
        - openssl 1.0.2m h39c7026_1
        - pcre 8.41 he509c7b_1
        - pyqt 5.6.0 py27he5ca9ac_5
        - python 2.7.14 h974fa27_24
        - qt 5.6.2 h6a616b1_12
        - readline 7.0 h6b4b497_4
        - setuptools 36.5.0 py27hdccd021_0
        - sip 4.18.1 py27ha738a01_2
        - sqlite 3.20.1 h27bc12f_2
        - tk 8.6.7 h9a736a7_3
        - xz 5.2.3 ha3e1f4e_2
        - zlib 1.2.11 h907e355_2
    host:
        - ca-certificates 2017.08.26 h1d4fec5_0
        - certifi 2017.11.5 py27ha9b69e6_0
        - dbus 1.10.22 ha863c99_0
        - expat 2.2.5 h8d48cb0_0
        - fontconfig 2.12.4 hcb742b8_1
        - freetype 2.8 hb4d7b56_1
        - glib 2.53.6 hd466c72_1
        - gst-plugins-base 1.12.2 h3b3eec3_0
        - gstreamer 1.12.2 ha52c2f3_0
        - icu 58.2 he175447_1
        - jpeg 9b h29c5dd3_2
        - libedit 3.1 h9ac1fc1_0
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h7cc24e2_2
        - libpng 1.6.32 h55ee776_4
        - libstdcxx-ng 7.2.0 h7a57d05_2
        - libxcb 1.12 h2ed087e_4
        - libxml2 2.9.4 h078cfa5_6
        - ncurses 6.0 h8a800b7_2
        - openssl 1.0.2m h39c7026_1
        - pcre 8.41 he509c7b_1
        - pyqt 5.6.0 py27he5ca9ac_5
        - python 2.7.14 h974fa27_24
        - qt 5.6.2 h6a616b1_12
        - readline 7.0 h6b4b497_4
        - setuptools 36.5.0 py27hdccd021_0
        - sip 4.18.1 py27ha738a01_2
        - sqlite 3.20.1 h27bc12f_2
        - tk 8.6.7 h9a736a7_3
        - xz 5.2.3 ha3e1f4e_2
        - zlib 1.2.11 h907e355_2
    run:
        - astropy >=1.3
        - dask
        - dill >=0.2
        - h5py >=2.4
        - ipykernel
        - ipython >=4.0
        - matplotlib >=1.4
        - numpy >=1.9
        - pandas >=0.14
        - plotly
        - pyqt 4.11.*|5.6.*
        - python >=2.7,<2.8.0a0
        - qtconsole
        - qtpy >=1.2
        - scikit-image
        - scipy
        - setuptools >=1.0
        - xlrd >=1.0
test:
    commands:
        - glue --version
        - glue-deps list
    imports:
        - glue
        - glue.app.qt
        - glue.core
about:
    dev_url: https://github.com/glue-viz/glue
    doc_url: http://glueviz.rtfd.io
    home: http://glueviz.org
    license: BSD 3-Clause
    license_file: LICENSE
    summary: Multi-dimensional linked data exploration
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - astrofrog
